<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Solid.Networking</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Solid.Networking Namespace Reference</h1>
<code>from PyKDE4.solid.Solid.Networking import *</code>
<p>
<h2>Detailed Description</h2>
<p>This class allow to query the underlying system to discover the available
network interfaces and reachable network.It has also the
responsibility to notify when a network interface or a network appear or disappear.
</p>
<p>
It's the unique entry point for network management. Applications should use
it to find network interfaces, or to be notified about network related changes.
</p>
<p>
Note that it's implemented as a singleton and encapsulates the backend logic.
</p>
<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody></table>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj187411468">ManagementPolicy</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Manual, OnNextStatusChange, Managed&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj187410860">Status</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Unknown, Unconnected, Disconnecting, Connecting, Connected&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Solid.Networking.ManagementPolicy&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187389900">connectPolicy</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Solid.Networking.ManagementPolicy&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187364620">disconnectPolicy</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Solid.Networking.Notifier&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187364748">notifier</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj159591788">setConnectPolicy</a> (Solid.Networking.ManagementPolicy policy)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj175455628">setDisconnectPolicy</a> (Solid.Networking.ManagementPolicy policy)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Solid.Networking.Status&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj159590764">status</a> ()</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj187411468"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ManagementPolicy</td>
</tr>
</table>
</div>
<div class="memdoc"><p>This defines application policy in response to networking connect/disconnect events
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Manual</em>&nbsp;</td><td><tr><td valign="top"><em>OnNextStatusChange</em>&nbsp;</td><td><tr><td valign="top"><em>Managed</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj187410860"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Status</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Describes the state of the networking system
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Unknown</em>&nbsp;<p>the networking system is not active or unable to report its status - proceed with caution
< p></td><td><tr><td valign="top"><em>Unconnected</em>&nbsp;<p>the system is not connected to any network
< p></td><td><tr><td valign="top"><em>Disconnecting</em>&nbsp;<p>the system is breaking the connection
< p></td><td><tr><td valign="top"><em>Connecting</em>&nbsp;<p>the system is not connected to any network
< p></td><td><tr><td valign="top"><em>Connected</em>&nbsp;<p>the system is currently connected to a network
< p></td><td></table>
</dl>
</div></div><p><hr><h2>Function Documentation</h2><a class="anchor" name="obj187389900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Solid.Networking.ManagementPolicy connectPolicy</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Retrieve a policy managing the application's connect behaviour
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the connection policy in use
</dd></dl>
</p></div></div><a class="anchor" name="obj187364620"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Solid.Networking.ManagementPolicy disconnectPolicy</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Retrieve a policy managing the application's disconnect behaviour
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the disconnection policy in use
</dd></dl>
</p></div></div><a class="anchor" name="obj187364748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Solid.Networking.Notifier notifier</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj159591788"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setConnectPolicy</td>
<td>(</td>
<td class="paramtype">Solid.Networking.ManagementPolicy&nbsp;</td>
<td class="paramname"><em>policy</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set a policy to manage the application's connect behaviour
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>policy</em>&nbsp;</td><td> the new connection policy
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj175455628"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setDisconnectPolicy</td>
<td>(</td>
<td class="paramtype">Solid.Networking.ManagementPolicy&nbsp;</td>
<td class="paramname"><em>policy</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set a policy to manage the application's disconnect behaviour
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>policy</em>&nbsp;</td><td> the new disconnection policy
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj159590764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Solid.Networking.Status status</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Get the current networking status
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
